.TH XSNAKE 1 "August 16, 1996" "X Snake" ""
.SH NAME
xsnake \- snake for the X Window System
.SH SYNOPSIS
xsnake [ \fIoptions\fP ]
.SH DESCRIPTION
In \fBxsnake\fP, you control a snake.  As the snake moves
about, apples appear and the snake may eat them.  The world the
snake lives in may also contain obstacles that interfere
with the snake's quest for apples.

As the snake eats apples, you collect points.  The exact
number of points is affected by the size of the apple, and
how long it took the snake to get to it.  Basically, smaller
apples are worth more points than larger ones, but may be
harder to collect.

You use the keyboard to move the snake: the \fBleft cursor\fP
key rotates snake counterclockwise, and the \fBright cursor\fP
key rotates it clockwise.  While the demo is playing, when
you lose a snake, or when you complete a level, use the \fBup
cursor\fP key to start--or resume--playing.

At any point, you may press \fBEscape\fP to pause the
game.  Then, you may abort the game (by pressing the \fBa\fP
key), you may quit (by pressing the \fBq\fP key), or you may
unpause the game (by pressing \fBEscape\fP again).
.SH OPTIONS
.IP "\fB-display\fP \fIdisplayname\fP"
This option specifies the name of the X server to use.
.IP "\fB-reverse\fP, \fB-noreverse\fP"
These options indicate wheather the game should simulate
reverse video by swapping the foreground and background
colors.  The default is \fB-noreverse\fP.
.IP "\fB-width\fP \fInumber\fP, \fB-height\fP \fInumber\fP"
These options specify the width and height of the world,
respectively.  The default size of the world is \fB100x100\fP
units.
.IP "\fB-fps\fP \fInumber\fP"
This option specifies how many frames per second the game
should attempt to display.  The default is \fB25\fP frames
per second.
.IP "\fB-font\fP \fIfontname\fP"
This option specifies the font to use for the status line
at the bottom of the window.  For more information about
font names, see \fBX(1)\fP.
.IP "\fB-geometry\fP \fIgeometry\fP"
This option specifies the initial size and location of the
window.  The default size is \fB400x300\fP pixels.  For more
information about the geometry string, see \fBX(1)\fP.
.PP
The options may also be specified as resources of class xsnake
(for example, "*xsnake*reverse: true").  The application
defaults file is \fB/usr/lib/X11/app-defaults/XSnake\fP.
.SH AUTHOR
Ronen Tzur <rtzur@shani.net>
.SH COPYRIGHT
Copyright (C) 1996 Ronen Tzur

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
